<?php
/*---------------------------------------------------++----------------------------------------------------+
| PHP-Fusion 6 Content Management System             || member_stats_panel infusion v0.2 for PHP-Fusion 6  |
+----------------------------------------------------++----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones                 || Copyright  2005 Daniel Rindorf (colgate)          |
| http://www.php-fusion.co.uk/                       || email:   colgate@amforaen.dk                       |
+----------------------------------------------------++----------------------------------------------------+
| Released under the terms & conditions of v2 of the || Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   || GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  || the included gpl.txt file or visit http://gnu.org  |
+----------------------------------------------------++----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."member_stats_panel/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS."member_stats_panel/locale/".$settings['locale'].".php";
} else {
    // Load the infusion's default locale file.
    include INFUSIONS."member_stats_panel/locale/English.php";
}
if ($type==a) $title =$locale['DAC271'].$article_subject;
else if ($type==d) $title =$locale['DAC272'].$download_title;
else if ($type==w) $title =$locale['DAC273'].$weblink_name;

else $title = $locale['DAC270'].$user_name;

opentable($title);
if ($cat==a){
    echo " <table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC250']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC251']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC252']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC259']."&nbsp;&nbsp;</td></tr><br/>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE user_id='$user_id' ");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        if ($article_id!=0){
        $r2 = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id='$article_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);
        }
        $r3 = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$article_cat'");
        while ($q3=mysql_fetch_array($r3)){
        extract($q3);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "
        <tr> <td><a href='".FUSION_SELF."?type=a&article_id=".$article_id."&article_cat_name=".$article_cat_name."&article_subject=".$article_subject."'>$article_subject</a>&nbsp;&nbsp;</td>
        <td> $article_cat_name&nbsp;&nbsp; </td>
        <td> $count&nbsp;&nbsp;</td><td>$last_read&nbsp;&nbsp;</td></tr><br/>
        ";
    }
    }
    echo "  <tr><td colspan='4' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
    echo "</table>";
    }


if ($cat==d){
    echo "<table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC253']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC254']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC255']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC260']."&nbsp;&nbsp;</td></tr><br/>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE user_id='$user_id' ");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        if ($download_id!=0){
        $r2 = dbquery("SELECT * FROM ".$db_prefix."downloads WHERE download_id='$download_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);
        }
        $r3 = dbquery("SELECT * FROM ".$db_prefix."download_cats WHERE download_cat_id='$download_cat'");
        while ($q3=mysql_fetch_array($r3)){
        extract($q3);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "
        <tr> <td><a href='".FUSION_SELF."?type=d&download_id=".$download_id."&download_cat_name=".$download_cat_name."&download_title=".$download_title."'>$download_title</a>&nbsp;&nbsp;</td>
        <td> $download_cat_name&nbsp;&nbsp; </td>
        <<td> $count&nbsp;&nbsp;</td><td>$last_read&nbsp;&nbsp;</td></tr><br/>
        ";
    }
    }
    echo "  <tr><td colspan='4' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
    echo "</table>";
    }

if ($cat==w){
    echo "<table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC256']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC257']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC258']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC261']."&nbsp;&nbsp;</td></tr><br/>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE user_id='$user_id' ");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        if ($weblink_id!=0){
        $r2 = dbquery("SELECT * FROM ".$db_prefix."weblinks WHERE weblink_id='$weblink_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);
        }
        $r3 = dbquery("SELECT * FROM ".$db_prefix."weblink_cats WHERE weblink_cat_id='$weblink_cat'");
        while ($q3=mysql_fetch_array($r3)){
        extract($q3);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "
        <tr> <td><a href='".FUSION_SELF."?type=w&weblink_id=".$weblink_id."&weblink_cat_name=".$weblink_cat_name."&weblink_name=".$weblink_name."'>$weblink_name</a>&nbsp;&nbsp;</td>
        <td> $weblink_cat_name&nbsp;&nbsp; </td>
        <<td> $count&nbsp;&nbsp;</td>
        <td>$last_read&nbsp;&nbsp;</td></tr><br/>
        ";
    }
    }
    echo "  <tr><td colspan='4' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
    echo "</table>";
    }

if ($type==a){
    echo " <table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC250']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC251']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC262']."&nbsp;&nbsp</td>
        <td>".$locale['DAC252']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC259']."&nbsp;&nbsp</td></tr>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE article_id='$article_id' ORDER BY time DESC");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        $r2 = dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='$user_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "<tr><td>$article_subject&nbsp;&nbsp;</td>
        <td>$article_cat_name&nbsp;&nbsp;</td>
        <td><a href='".FUSION_SELF."?cat=a&user_id=".$user_id."&user_name=".$user_name."'>$user_name</a>&nbsp;&nbsp</td>
        <td> $count&nbsp;&nbsp;</td><td>$last_read&nbsp;&nbsp</td></tr>";
        }
        echo "  <tr><td colspan='5' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
        echo "</table>";
        }

if ($type==d){
    echo " <table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC253']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC254']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC262']."&nbsp;&nbsp</td>
        <td>".$locale['DAC255']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC260']."&nbsp;&nbsp</td></tr>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE download_id='$download_id' ORDER BY time DESC");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        $r2 = dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='$user_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "<tr><td>$download_title&nbsp;&nbsp;</td>
        <td>$download_cat_name&nbsp;&nbsp;</td>
        <td><a href='".FUSION_SELF."?cat=d&user_id=".$user_id."&user_name=".$user_name."'>$user_name</a>&nbsp;&nbsp</td>
        <td> $count&nbsp;&nbsp;</td><td>$last_read&nbsp;&nbsp</td></tr>";
        }
        echo "  <tr><td colspan='5' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
        echo "</table>";
        }

if ($type==w){
    echo " <table align='left' cellspacing='0' cellpadding='0' class='tbl'>
        <tr><td>".$locale['DAC262']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC256']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC257']."&nbsp;&nbsp</td>
        <td>".$locale['DAC258']."&nbsp;&nbsp;</td>
        <td>".$locale['DAC261']."&nbsp;&nbsp</td></tr>";
    $r = dbquery("SELECT * FROM ".$db_prefix."dac_stats WHERE weblink_id='$weblink_id' ORDER BY time DESC");
    while ($q=mysql_fetch_array($r)){
        extract($q);
        $r2 = dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='$user_id'");
        while ($q2=mysql_fetch_array($r2)){
        extract($q2);}
        $last_read = date("d-m-Y H:i:s", $time);
        echo "<tr><td>$weblink_name&nbsp;&nbsp;</td>
        <td>$weblink_cat_name&nbsp;&nbsp;</td>
        <td><a href='".FUSION_SELF."?cat=w&user_id=".$user_id."&user_name=".$user_name."'>$user_name</a>&nbsp;&nbsp</td>
        <td> $count&nbsp;&nbsp;</td><td>$last_read&nbsp;&nbsp</td></tr>";
        }
        echo "  <tr><td colspan='5' align='center'>
            <img src='".THEME."images/bullet.gif'>
            <a href='".BASEDIR."profile.php?lookup=".$user_id."'>".$locale['DAC265']."</a>
            <img src='".THEME."images/bulletb.gif'>
            </td></tr>";
        echo "</table>";
        }


closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>